# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name gtk-sni-tray
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

Name:           ghc-%{pkg_name}
Version:        0.1.8.1
Release:        4%{?dist}
Summary:        A standalone StatusNotifierItem/AppIndicator tray

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dbus-devel
BuildRequires:  ghc-dbus-hslogger-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-enclosed-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gi-cairo-devel
BuildRequires:  ghc-gi-cairo-connector-devel
BuildRequires:  ghc-gi-cairo-render-devel
BuildRequires:  ghc-gi-dbusmenugtk3-devel
BuildRequires:  ghc-gi-gdk-devel
BuildRequires:  ghc-gi-gdkpixbuf-devel
BuildRequires:  ghc-gi-glib-devel
BuildRequires:  ghc-gi-gtk-devel
BuildRequires:  ghc-gtk-strut-devel
BuildRequires:  ghc-haskell-gi-devel
BuildRequires:  ghc-haskell-gi-base-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-status-notifier-item-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-unix-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-dbus-prof
BuildRequires:  ghc-dbus-hslogger-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-enclosed-exceptions-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-gi-cairo-prof
BuildRequires:  ghc-gi-cairo-connector-prof
BuildRequires:  ghc-gi-cairo-render-prof
BuildRequires:  ghc-gi-dbusmenugtk3-prof
BuildRequires:  ghc-gi-gdk-prof
BuildRequires:  ghc-gi-gdkpixbuf-prof
BuildRequires:  ghc-gi-glib-prof
BuildRequires:  ghc-gi-gtk-prof
BuildRequires:  ghc-gtk-strut-prof
BuildRequires:  ghc-haskell-gi-prof
BuildRequires:  ghc-haskell-gi-base-prof
BuildRequires:  ghc-hslogger-prof
BuildRequires:  ghc-optparse-applicative-prof
BuildRequires:  ghc-status-notifier-item-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-transformers-base-prof
BuildRequires:  ghc-unix-prof
%endif
BuildRequires:  pkgconfig(gtk+-3.0)
# End cabal-rpm deps

%description
gtk-sni-tray provides a StatusNotifierHost widget written using the
gtk+3 bindings for haskell provided by gi-gtk. It also provides a simple
standalone executable, gtk-sni-tray-standalone, that is configured with
command line arguments. This executable will run the aforementioned
widget by itself in a strut window, on each monitor it is requested.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(gtk+-3.0)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md
%{_bindir}/gtk-sni-tray-standalone


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Sat Jan 18 2025 Jashank Jeremy <fedora@jashankj.space> - 0.1.8.1-4
- spec file (re)generated by cabal-rpm-2.2.1

* Sun Jul 28 2024 Jashank Jeremy <fedora@jashankj.space> - 0.1.8.1-3
- Bump for Fedora 40 mass rebuild.

* Sun Feb 04 2024 Jashank Jeremy <fedora@jashankj.space> - 0.1.8.1-2
- Bump for Fedora 40 mass rebuild.

* Fri Oct 20 2023 Jashank Jeremy <fedora@jashankj.space> - 0.1.8.1-1
- spec file generated by cabal-rpm-2.1.3
